import { WALLET_API_HOST } from "../config/constants";
import { GET_JSON, POST_JSON } from "../lib/Http";

// request /wallet/info/email to get if email is verified
export function isEmailVerified() {
  const url = `${WALLET_API_HOST}/wallet/info/email`;
  return GET_JSON(url);
}

export function sendCode(data) {
  const url = `${WALLET_API_HOST}/email/send_code`;
  return POST_JSON(url, data);
}

export function verifyEmailByCode(data) {
  const url = `${WALLET_API_HOST}/email/verify_by_code`;
  return POST_JSON(url, data);
}

export function checkEmailRegister(data) {
  const url = `${WALLET_API_HOST}/email/check`;
  return POST_JSON(url, data);
}

export function emailRegister(data) {
  const url = `${WALLET_API_HOST}/email/regist`;
  return POST_JSON(url, data);
}
/**
 *
 * @param data {email, pass}
 * @returns
 */
export function emailLogin(data) {
  const url = `${WALLET_API_HOST}/wallet/login/email`;
  return POST_JSON(url, data);
}
