module.exports = {
  tokens: [
    {
      type: 'eth',
      address: 'eth',
      symbol: 'ETH',
      decimal: 18,
    },
    {
      type: 'erc20',
      address: '0x741482aE1480E552735E44Ff3A733448AcBbeD8d',
      symbol: 'CEG',
      decimal: 18,
    },
    {
      address: '0x79fc2a4216A1e595DBD09D13c4B4bD3B095d5bb2',
      name: 'hero',
      type: 'erc721',
    },
    {
      address: '0x551838d7754157D13e7D945b8a37bBD6Ad50dDC7',
      name: 'chip',
      type: 'erc721',
    },
    {
      address: '0xD728de3d9ebeD90E84aBe84539280cbC5b18E304',
      name: 'genesis',
      type: 'erc721',
    },
    {
      address: '0x3F13F83E6363D97d0353cAAfACA08B05D9BF3637',
      name: 'gacha',
      type: 'erc721',
    },
    {
      type: 'erc20',
      address: '0xFd086bC7CD5C481DCC9C85ebE478A1C0b69FCbb9',
      symbol: 'USDT',
      decimal: 6,
      thirdparty: 1,
    },
    {
      type: 'erc20',
      address: '0xaf88d065e77c8cC2239327C5EDb3A432268e5831',
      symbol: 'USDC',
      decimal: 6,
      thirdparty: 1,
    },
  ],
  contracts: {
    minterFactory: '0x24499444b2BE6A8E3F800D47E4Ed0c36B5c0747e',
    nftmarket: '0xA683c7BC5f3c73782fce9fc614Fda7C999934db8',
    nftmall: '0xb5EF2FAC11c385041f847E34E0b1B4740436f769',
    gamemarket: '0x6232d2B720C22D6BCB633560b05002C472a64f18',
    gamemall: '0x1Ee01D949C848aF1ceDb80165b290554937819d9',
  },
  gasInfo: {
    nftApprove: 49340,
    cecApprove: 46962,
    marketSellNFT: 270740,
    marketCancelOrder: 119027,
    marketUpdatePrice: 41272,
    marketBuy: 207735,
    gameMallBuy: 119416,
    gameMarketBuy: 133251,
  },
};
