import { findUrlScheme } from "../util/string.util";
import { parseWebLogin } from "./WalletManage";

export function parseUrl(str: string) {
  let scheme = findUrlScheme(str);
  if (!scheme) {
    return;
  }
  const dataStr = str.replace(scheme + "://", "");
  switch (scheme) {
    case "weblogin":
      parseWebLogin(dataStr);
      break;
    default:
      break;
  }
}
