interface Window {
  debug: boolean;
  ethSigUtil: any;
  cc: any;
  Stream: any;
  jc: {
    wallet: JCWallet;
  };
  jcwallet: JCWallet;
}
declare namespace jc {
  export const wallet: JCWallet;
}

declare namespace jsb {
  export function walletSign(str: string);
  export function loadLocalStorage(key: string): string;
  export function saveLocalStorage(key: string, val: string);
  export function signWithGoogle(id: number);
  export function signWithApple(id: number);
  export function signWithTikTok(id: number);
  export function signWithFacebook(id: number);
  export function callJcVoidMethodJNI(id: number, methodName: string);
  export function signWithTwitter(id: number);
  export function signWithEmail(id: number);
  export function signOutGoogle(id: number);
  export function showWebPage(url: string);
  export function openURL(url: string);
  export function scanQRCode(id: number, title: string);
  export function hexDeflate(str: string): string;
  export function hexInflate(str: string): string;
  export function hashSvrPass(pass: string): string;
  export function walletEncrypt(str: string): string;
  export function walletDecrypt(str: string): string;
  export function beginBuy(id: number, productId: string, orderId: string): string;
  export function queryPurchase(id: number): string;
  export function getClientId(id: number);
  export function passStorageState(id: number, account: string);
  export function storagePass(id: number, account: string, pass: string);
  export function authGetStoragePass(id: number, key: string);
  export function queryProducts(id: number, str: string): string;
  export function finishTransaction(id: number, str: string);
  export function walletSecKey(id: string, openid: string, key_master: string, salt: string, pass: string): string;
  export function prepareWallet(id: string, openid: string, key_master: string, salt: string, pass: string): string;
}

declare let window: Window;
