import { PAY_API_HOST_ETH } from '../config/constants';
import { GET_JSON, POST_JSON } from '../lib/Http';

export function reqAlchemyPrePay(data: any) {
  const url = `${jc.wallet.payUrl}/pay/alchemy/buy`;
  return POST_JSON(url, data);
}

export function reqAlchemyPayETH(data: any) {
  const url = `${PAY_API_HOST_ETH}/pay/alchemy/buy`;
  return POST_JSON(url, data);
}

export function queryTokenUsdPrice(eth: string, chain: string, env: string) {
  const url = `${jc.wallet.payUrl}/pay/alchemy/crypto_price`;
  return POST_JSON(url, { token: eth, chain, env });
}
/**
 * check if user can buy eth from treasury
 * @returns
 */
export function checkBuyTreasury() {
  const url = `${jc.wallet.payUrl}/pay/alchemy/can_i_buy_treasury`;
  return GET_JSON(url);
}

export function queryFiatList() {
  const url = `${jc.wallet.payUrl}/pay/alchemy/fait_list`;
  return GET_JSON(url);
}

export function verifyGooglePay(data: any) {
  const url = `${jc.wallet.payUrl}/pay/google/verify`;
  return POST_JSON(url, data);
}

export function verifyApplePay(data: any) {
  const url = `${jc.wallet.payUrl}/pay/apple/verify`;
  return POST_JSON(url, data);
}
